Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.html.dom
Class HTMLBuilder

    java.lang.Object
      weblogic.apache.html.dom.HTMLBuilder

All Implemented Interfaces:
  DocumentHandler

public class HTMLBuilder
extends Object
implements DocumentHandler

This is a SAX document handler that is used to build an HTML document. It can build a document from any SAX parser, but is specifically tuned for working with the OpenXML HTML parser.

Field Summary
`protected ElementImpl` | `_current` The current node in the document into which elements, text and other nodes will be inserted.
`protected HTMLDocumentImpl` | `_document` The document that is being built.
`protected Vector` | `_preRootNodes` The document is only created the same time as the document element, however, certain nodes may precede the document element (comment and PI), and they are accumulated in this vector.

Constructor Summary
`HTMLBuilder()`

Method Summary
`void` | `characters(char[] text, int start, int length)`
`void` | `characters(String text)`
`void` | `endDocument()`
`void` | `endElement(String tagName)`
`HTMLDocument` | `getHTMLDocument()`
`void` | `ignorableWhitespace(char[] text, int start, int length)`
`void` | `processingInstruction(String target, String instruction)`
`void` | `setDocumentLocator(Locator locator)`
`void` | `startDocument()`
`void` | `startElement(String tagName, AttributeList attrList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _current

    protected ElementImpl _current

  The current node in the document into which elements, text and other nodes will be inserted. This starts as the document iself and reflects each element that is currently being parsed.

### _document

    protected HTMLDocumentImpl _document

  The document that is being built.

### _preRootNodes

    protected Vector _preRootNodes

  The document is only created the same time as the document element, however, certain nodes may precede the document element (comment and PI), and they are accumulated in this vector.

Constructor Detail

### HTMLBuilder

    public HTMLBuilder()

Method Detail

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `DocumentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(String text)
                    throws SAXException

  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `DocumentHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String tagName)
                    throws SAXException

  Specified by:
    `endElement` in interface `DocumentHandler`
  Throws:
    `SAXException`

### getHTMLDocument

    public HTMLDocument getHTMLDocument()

### ignorableWhitespace

    public void ignorableWhitespace(char[] text,
                                    int start,
                                    int length)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `DocumentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String instruction)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `DocumentHandler`
  Throws:
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `DocumentHandler`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `DocumentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String tagName,
                             AttributeList attrList)
                      throws SAXException

  Specified by:
    `startElement` in interface `DocumentHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD